TablesForTaxonomyRow (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.cluster

## Class TablesForTaxonomyRow

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.client.cluster.TablesForTaxonomyRow

-     public class TablesForTaxonomyRow
      extends Object

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TablesForTaxonomyRow(com.extjs.gxt.ui.client.widget.TabPanel tabPanel2, com.google.gwt.event.shared.EventBus eventBus2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addTabItem(TaxonomyRow taxon, String dataSource)`
    `com.google.gwt.user.client.ui.FlexTable` | `getHTMLTableForTaxonomyWithRef(TaxonomyRow row, boolean isNewTab, String dataSource)`
    `com.extjs.gxt.ui.client.widget.VerticalPanel` | `getPanelClassificationForTaxonomy(TaxonomyRow taxonomy, String dataSource, boolean isNewTab)`
    `protected com.extjs.gxt.ui.client.widget.ContentPanel` | `getPanelForTaxonomy(TaxonomyRow taxon, String dataSource, boolean isNewTab)`
    `List<TaxonomyRow>` | `getParents()`
    `void` | `setParents(List<TaxonomyRow> parents)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TablesForTaxonomyRow

          public TablesForTaxonomyRow(com.extjs.gxt.ui.client.widget.TabPanel tabPanel2,
                              com.google.gwt.event.shared.EventBus eventBus2)

  - ### Method Detail

    - #### getParents

          public List<TaxonomyRow> getParents()

    - #### setParents

          public void setParents(List<TaxonomyRow> parents)

    - #### getPanelClassificationForTaxonomy

          public com.extjs.gxt.ui.client.widget.VerticalPanel getPanelClassificationForTaxonomy(TaxonomyRow taxonomy,
                                                                                       String dataSource,
                                                                                       boolean isNewTab)

      Parameters:
        `taxonomy` -
        `isNewTab` - - set true if has been clicked a classification link, or false otherwise
      Returns:

    - #### getHTMLTableForTaxonomyWithRef

          public com.google.gwt.user.client.ui.FlexTable getHTMLTableForTaxonomyWithRef(TaxonomyRow row,
                                                                               boolean isNewTab,
                                                                               String dataSource)

      Parameters:
        `row` -
        `isNewTab` -
        `dataSource` -
        `parentIndex` -
      Returns:

    - #### getPanelForTaxonomy

          protected com.extjs.gxt.ui.client.widget.ContentPanel getPanelForTaxonomy(TaxonomyRow taxon,
                                                                        String dataSource,
                                                                        boolean isNewTab)

    - #### addTabItem

          protected void addTabItem(TaxonomyRow taxon,
                        String dataSource)

Copyright © 2013. All Rights Reserved.